<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPoSKGLabel" jhiTranslate="mpmApp.poSKG.home.createOrEditLabel">Create or edit a Po SKG</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!poSKG.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="poSKG.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_NUM" for="field_DO_NUM">DO NUM</label>
            <input type="text" class="form-control" name="DO_NUM" id="field_DO_NUM"
                [(ngModel)]="poSKG.DO_NUM"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_DATE" for="field_DO_DATE">DO DATE</label>
            <input type="text" class="form-control" name="DO_DATE" id="field_DO_DATE"
                [(ngModel)]="poSKG.DO_DATE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_CODE" for="field_DO_CODE">DO CODE</label>
            <input type="text" class="form-control" name="DO_CODE" id="field_DO_CODE"
                [(ngModel)]="poSKG.DO_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_REFER" for="field_DO_REFER">DO REFER</label>
            <input type="text" class="form-control" name="DO_REFER" id="field_DO_REFER"
                [(ngModel)]="poSKG.DO_REFER"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_DREFER" for="field_DO_DREFER">DO DREFER</label>
            <input type="text" class="form-control" name="DO_DREFER" id="field_DO_DREFER"
                [(ngModel)]="poSKG.DO_DREFER"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_STAT" for="field_DO_STAT">DO STAT</label>
            <input type="text" class="form-control" name="DO_STAT" id="field_DO_STAT"
                [(ngModel)]="poSKG.DO_STAT"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_DSTAT" for="field_DO_DSTAT">DO DSTAT</label>
            <input type="text" class="form-control" name="DO_DSTAT" id="field_DO_DSTAT"
                [(ngModel)]="poSKG.DO_DSTAT"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.CUST_CODE" for="field_CUST_CODE">CUST CODE</label>
            <input type="text" class="form-control" name="CUST_CODE" id="field_CUST_CODE"
                [(ngModel)]="poSKG.CUST_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.CUST_GRUP" for="field_CUST_GRUP">CUST GRUP</label>
            <input type="text" class="form-control" name="CUST_GRUP" id="field_CUST_GRUP"
                [(ngModel)]="poSKG.CUST_GRUP"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.CUST_AREA" for="field_CUST_AREA">CUST AREA</label>
            <input type="text" class="form-control" name="CUST_AREA" id="field_CUST_AREA"
                [(ngModel)]="poSKG.CUST_AREA"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.CUST_WIL" for="field_CUST_WIL">CUST WIL</label>
            <input type="text" class="form-control" name="CUST_WIL" id="field_CUST_WIL"
                [(ngModel)]="poSKG.CUST_WIL"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.SLSM_CODE" for="field_SLSM_CODE">SLSM CODE</label>
            <input type="text" class="form-control" name="SLSM_CODE" id="field_SLSM_CODE"
                [(ngModel)]="poSKG.SLSM_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_PPN" for="field_DO_PPN">DO PPN</label>
            <input type="number" class="form-control" name="DO_PPN" id="field_DO_PPN"
                [(ngModel)]="poSKG.DO_PPN"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_SPAY" for="field_DO_SPAY">DO SPAY</label>
            <input type="text" class="form-control" name="DO_SPAY" id="field_DO_SPAY"
                [(ngModel)]="poSKG.DO_SPAY"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_DUE" for="field_DO_DUE">DO DUE</label>
            <input type="text" class="form-control" name="DO_DUE" id="field_DO_DUE"
                [(ngModel)]="poSKG.DO_DUE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_BVAL" for="field_DO_BVAL">DO BVAL</label>
            <input type="number" class="form-control" name="DO_BVAL" id="field_DO_BVAL"
                [(ngModel)]="poSKG.DO_BVAL"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_DISC" for="field_DO_DISC">DO DISC</label>
            <input type="number" class="form-control" name="DO_DISC" id="field_DO_DISC"
                [(ngModel)]="poSKG.DO_DISC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_BDISC" for="field_DO_BDISC">DO BDISC</label>
            <input type="number" class="form-control" name="DO_BDISC" id="field_DO_BDISC"
                [(ngModel)]="poSKG.DO_BDISC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_BDIS2" for="field_DO_BDIS2">DO BDIS 2</label>
            <input type="number" class="form-control" name="DO_BDIS2" id="field_DO_BDIS2"
                [(ngModel)]="poSKG.DO_BDIS2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_BDIS3" for="field_DO_BDIS3">DO BDIS 3</label>
            <input type="number" class="form-control" name="DO_BDIS3" id="field_DO_BDIS3"
                [(ngModel)]="poSKG.DO_BDIS3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_CXDIS" for="field_DO_CXDIS">DO CXDIS</label>
            <input type="number" class="form-control" name="DO_CXDIS" id="field_DO_CXDIS"
                [(ngModel)]="poSKG.DO_CXDIS"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_PXDIS" for="field_DO_PXDIS">DO PXDIS</label>
            <input type="number" class="form-control" name="DO_PXDIS" id="field_DO_PXDIS"
                [(ngModel)]="poSKG.DO_PXDIS"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_CDISC" for="field_DO_CDISC">DO CDISC</label>
            <input type="number" class="form-control" name="DO_CDISC" id="field_DO_CDISC"
                [(ngModel)]="poSKG.DO_CDISC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_PCDIS" for="field_DO_PCDIS">DO PCDIS</label>
            <input type="number" class="form-control" name="DO_PCDIS" id="field_DO_PCDIS"
                [(ngModel)]="poSKG.DO_PCDIS"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_EDISC" for="field_DO_EDISC">DO EDISC</label>
            <input type="number" class="form-control" name="DO_EDISC" id="field_DO_EDISC"
                [(ngModel)]="poSKG.DO_EDISC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_TITEM" for="field_DO_TITEM">DO TITEM</label>
            <input type="number" class="form-control" name="DO_TITEM" id="field_DO_TITEM"
                [(ngModel)]="poSKG.DO_TITEM"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_MTR" for="field_DO_MTR">DO MTR</label>
            <input type="number" class="form-control" name="DO_MTR" id="field_DO_MTR"
                [(ngModel)]="poSKG.DO_MTR"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_ENTRY" for="field_DO_ENTRY">DO ENTRY</label>
            <input type="text" class="form-control" name="DO_ENTRY" id="field_DO_ENTRY"
                [(ngModel)]="poSKG.DO_ENTRY"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_TENTR" for="field_DO_TENTR">DO TENTR</label>
            <input type="text" class="form-control" name="DO_TENTR" id="field_DO_TENTR"
                [(ngModel)]="poSKG.DO_TENTR"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_APPR" for="field_DO_APPR">DO APPR</label>
            <input type="text" class="form-control" name="DO_APPR" id="field_DO_APPR"
                [(ngModel)]="poSKG.DO_APPR"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_TAPPR" for="field_DO_TAPPR">DO TAPPR</label>
            <input type="text" class="form-control" name="DO_TAPPR" id="field_DO_TAPPR"
                [(ngModel)]="poSKG.DO_TAPPR"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.PICK_CODE" for="field_PICK_CODE">PICK CODE</label>
            <input type="text" class="form-control" name="PICK_CODE" id="field_PICK_CODE"
                [(ngModel)]="poSKG.PICK_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_PTIME" for="field_DO_PTIME">DO PTIME</label>
            <input type="text" class="form-control" name="DO_PTIME" id="field_DO_PTIME"
                [(ngModel)]="poSKG.DO_PTIME"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.SLTR_CODE" for="field_SLTR_CODE">SLTR CODE</label>
            <input type="text" class="form-control" name="SLTR_CODE" id="field_SLTR_CODE"
                [(ngModel)]="poSKG.SLTR_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.SLTR_NUM" for="field_SLTR_NUM">SLTR NUM</label>
            <input type="text" class="form-control" name="SLTR_NUM" id="field_SLTR_NUM"
                [(ngModel)]="poSKG.SLTR_NUM"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.SLTR_DATE" for="field_SLTR_DATE">SLTR DATE</label>
            <input type="text" class="form-control" name="SLTR_DATE" id="field_SLTR_DATE"
                [(ngModel)]="poSKG.SLTR_DATE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.CUST_RAY" for="field_CUST_RAY">CUST RAY</label>
            <input type="text" class="form-control" name="CUST_RAY" id="field_CUST_RAY"
                [(ngModel)]="poSKG.CUST_RAY"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DOC_COUNT" for="field_DOC_COUNT">DOC COUNT</label>
            <input type="text" class="form-control" name="DOC_COUNT" id="field_DOC_COUNT"
                [(ngModel)]="poSKG.DOC_COUNT"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.DO_VALID" for="field_DO_VALID">DO VALID</label>
            <input type="text" class="form-control" name="DO_VALID" id="field_DO_VALID"
                [(ngModel)]="poSKG.DO_VALID"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.cbmPO" for="field_cbmPO">Cbm PO</label>
            <input type="number" class="form-control" name="cbmPO" id="field_cbmPO"
                [(ngModel)]="poSKG.cbmPO"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.qtyPO" for="field_qtyPO">Qty PO</label>
            <input type="number" class="form-control" name="qtyPO" id="field_qtyPO"
                [(ngModel)]="poSKG.qtyPO"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.cbmRNC" for="field_cbmRNC">Cbm RNC</label>
            <input type="number" class="form-control" name="cbmRNC" id="field_cbmRNC"
                [(ngModel)]="poSKG.cbmRNC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.qtyRNC" for="field_qtyRNC">Qty RNC</label>
            <input type="number" class="form-control" name="qtyRNC" id="field_qtyRNC"
                [(ngModel)]="poSKG.qtyRNC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.spp_num" for="field_spp_num">Spp Num</label>
            <input type="text" class="form-control" name="spp_num" id="field_spp_num"
                [(ngModel)]="poSKG.spp_num"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.useraccket1" for="field_useraccket1">Useraccket 1</label>
            <input type="text" class="form-control" name="useraccket1" id="field_useraccket1"
                [(ngModel)]="poSKG.useraccket1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.useraccket2" for="field_useraccket2">Useraccket 2</label>
            <input type="text" class="form-control" name="useraccket2" id="field_useraccket2"
                [(ngModel)]="poSKG.useraccket2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.useraccket3" for="field_useraccket3">Useraccket 3</label>
            <input type="text" class="form-control" name="useraccket3" id="field_useraccket3"
                [(ngModel)]="poSKG.useraccket3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.useraccket4" for="field_useraccket4">Useraccket 4</label>
            <input type="text" class="form-control" name="useraccket4" id="field_useraccket4"
                [(ngModel)]="poSKG.useraccket4"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.useraccket5" for="field_useraccket5">Useraccket 5</label>
            <input type="text" class="form-control" name="useraccket5" id="field_useraccket5"
                [(ngModel)]="poSKG.useraccket5"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.Cust_AKLimit" for="field_Cust_AKLimit">Cust AK Limit</label>
            <input type="number" class="form-control" name="Cust_AKLimit" id="field_Cust_AKLimit"
                [(ngModel)]="poSKG.Cust_AKLimit"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.userACC" for="field_userACC">User ACC</label>
            <input type="text" class="form-control" name="userACC" id="field_userACC"
                [(ngModel)]="poSKG.userACC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACC1" for="field_UserACC1">User ACC 1</label>
            <input type="text" class="form-control" name="UserACC1" id="field_UserACC1"
                [(ngModel)]="poSKG.UserACC1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACC2" for="field_UserACC2">User ACC 2</label>
            <input type="text" class="form-control" name="UserACC2" id="field_UserACC2"
                [(ngModel)]="poSKG.UserACC2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACC3" for="field_UserACC3">User ACC 3</label>
            <input type="text" class="form-control" name="UserACC3" id="field_UserACC3"
                [(ngModel)]="poSKG.UserACC3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACC4" for="field_UserACC4">User ACC 4</label>
            <input type="text" class="form-control" name="UserACC4" id="field_UserACC4"
                [(ngModel)]="poSKG.UserACC4"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACC5" for="field_UserACC5">User ACC 5</label>
            <input type="text" class="form-control" name="UserACC5" id="field_UserACC5"
                [(ngModel)]="poSKG.UserACC5"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACCV1" for="field_UserACCV1">User ACCV 1</label>
            <input type="text" class="form-control" name="UserACCV1" id="field_UserACCV1"
                [(ngModel)]="poSKG.UserACCV1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACCV2" for="field_UserACCV2">User ACCV 2</label>
            <input type="text" class="form-control" name="UserACCV2" id="field_UserACCV2"
                [(ngModel)]="poSKG.UserACCV2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACCV3" for="field_UserACCV3">User ACCV 3</label>
            <input type="text" class="form-control" name="UserACCV3" id="field_UserACCV3"
                [(ngModel)]="poSKG.UserACCV3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACCV4" for="field_UserACCV4">User ACCV 4</label>
            <input type="text" class="form-control" name="UserACCV4" id="field_UserACCV4"
                [(ngModel)]="poSKG.UserACCV4"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.poSKG.UserACCV5" for="field_UserACCV5">User ACCV 5</label>
            <input type="text" class="form-control" name="UserACCV5" id="field_UserACCV5"
                [(ngModel)]="poSKG.UserACCV5"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
